Blackbaud Sphere

System Requirements

System requirements are subject to change. Please ensure you have the latest information before making any purchase decisions. If you are running any other Blackbaud products, please refer to the System Requirements for those products separately.

Last updated: May 26, 2020

Workstation supported versions

Operating system

Your computer must be running, at a minimum:

  • Microsoft Windows - 95, 98, NT, 2000, ME, XP, Windows 7
  • If you are using an Apple computer, it must be OS 9 or OS 10. You also need a Windows OS emulator installed, such as the latest version of Microsoft Virtual PC.
Web browser

We recommend that you use one of the following Web browsers:

  • Microsoft Internet Explorer through version 11 (IE 11)
  • Chrome
  • Firefox

Note: To test mobile features in non-mobile browsers, such as when a Friends Asking Friends event is in preview mode, use IE 9 or higher.

Sphere on IE 11, Chrome, and Firefox has been tested by our Quality Assurance team to ensure there is no interruption to your business processes. However, it is possible that moving to a different browser may create unforeseen issues for some web sites created and hosted using our CMS with certain custom Web applications, custom code, or HTML scripting.

We recommend that you review your web sites to ensure they are working properly after installing the latest version of Internet Explorer or changing browsers.